import { NextRequest, NextResponse } from "next/server";
import { db } from "@/lib/db";
import { getServerSession } from "next-auth";
import { authOptions } from "@/lib/auth";

export async function GET() {
  const gameweeks = await db.gameweek.findMany({ orderBy: { number: "asc" } });
  return NextResponse.json(gameweeks);
}

export async function POST(req: NextRequest) {
  const session = await getServerSession(authOptions);
  if (!session || (session.user as any).role !== "ADMIN")
    return NextResponse.json({ error: "Unauthorized" }, { status: 401 });

  const body = await req.json();
  const gw = await db.gameweek.create({
    data: {
      ...body,
      deadline: new Date(body.deadline),
    },
  });
  return NextResponse.json(gw, { status: 201 });
}
